Differential update
curl --request PATCH \
--url https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": {
"value": "MR",
"from": "guest"
},
"gender": {
"value": "M",
"from": "guest"
}
}
'const url = 'https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: {value: 'MR', from: 'guest'}, gender: {value: 'M', from: 'guest'}})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}"
payload = {
"title": {
"value": "MR",
"from": "guest"
},
"gender": {
"value": "M",
"from": "guest"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => [
'value' => 'MR',
'from' => 'guest'
],
'gender' => [
'value' => 'M',
'from' => 'guest'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"title\": {\n \"value\": \"MR\",\n \"from\": \"guest\"\n },\n \"gender\": {\n \"value\": \"M\",\n \"from\": \"guest\"\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": {\n \"value\": \"MR\",\n \"from\": \"guest\"\n },\n \"gender\": {\n \"value\": \"M\",\n \"from\": \"guest\"\n }\n}")
.asString();Guest
Partially update a guest
Update a guest differentially, appending to array attributes
PATCH
/
api
/
guestprofile
/
entities
/
{entity_id}
/
guests
/
{guest_id}
Differential update
curl --request PATCH \
--url https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": {
"value": "MR",
"from": "guest"
},
"gender": {
"value": "M",
"from": "guest"
}
}
'const url = 'https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: {value: 'MR', from: 'guest'}, gender: {value: 'M', from: 'guest'}})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}"
payload = {
"title": {
"value": "MR",
"from": "guest"
},
"gender": {
"value": "M",
"from": "guest"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => [
'value' => 'MR',
'from' => 'guest'
],
'gender' => [
'value' => 'M',
'from' => 'guest'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"title\": {\n \"value\": \"MR\",\n \"from\": \"guest\"\n },\n \"gender\": {\n \"value\": \"M\",\n \"from\": \"guest\"\n }\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://{apiBaseUrl}/api/guestprofile/entities/{entity_id}/guests/{guest_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": {\n \"value\": \"MR\",\n \"from\": \"guest\"\n },\n \"gender\": {\n \"value\": \"M\",\n \"from\": \"guest\"\n }\n}")
.asString();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Resource
Was this page helpful?